Corporate actions

This endpoint provides data about the corporate actions for each given symbol over a specified time period.

Warning

Currently Alpaca has no guarantees on the creation time of corporate actions. There may be delays in receiving corporate actions from our data providers, and there may be delays in processing and making them available via this API. As a result, corporate actions may not be available immediately after they are announced.

Query Params
string

A comma-separated list of symbols.

string

A comma-separated list of CUSIPs.

string

A comma-separated list of types. If not provided, search all types.

The following types are supported:

  • reverse_split
  • forward_split
  • unit_split
  • cash_dividend
  • stock_dividend
  • spin_off
  • cash_merger
  • stock_merger
  • stock_and_cash_merger
  • redemption
  • name_change
  • worthless_removal
  • rights_distribution
date

The inclusive start of the interval. The corporate actions are sorted by their process_date. Format: YYYY-MM-DD. Default: current day.

date

The inclusive end of the interval. The corporate actions are sorted by their process_date. Format: YYYY-MM-DD. Default: current day.

string

A comma-separated list of corporate action IDs. This parameter is mutually exclusive with all other filters (symbols, types, start, end).

integer
1 to 1000
Defaults to 100

Maximum number of corporate actions to return in a response. The limit applies to the total number of data points, not the count per symbol! Use next_page_token to fetch the next set of corporate actions.

string

The pagination token from which to continue. The value to pass here is returned in specific requests when more data is available, usually because of a response result limit.

string
enum
Defaults to asc

Sort data in ascending or descending order.

Allowed:
Responses

401

Authentication headers are missing or invalid. Make sure you authenticate your request with a valid API key.

403

The requested resource is forbidden.

500

Internal server error. We recommend retrying these later. If the issue persists, please contact us on Slack or on the Community Forum.

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*